org.apache.poi.hslf.record

## Class RecordAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom

- All Implemented Interfaces:
    GenericRecord
  Direct Known Subclasses:
    AnimationInfoAtom, ColorSchemeAtom, Comment2000Atom, CString, DocumentAtom, ExControlAtom, ExEmbedAtom, ExHyperlinkAtom, ExMediaAtom, ExObjListAtom, ExObjRefAtom, ExOleObjAtom, FontEmbeddedData, FontEntityAtom, HeadersFootersAtom, InteractiveInfoAtom, MasterTextPropAtom, NotesAtom, OEPlaceholderAtom, OutlineTextRefAtom, PositionDependentRecordAtom, PPDrawing, PPDrawingGroup, RoundTripHFPlaceholder12, SlideAtom, SlidePersistAtom, SoundData, SSSlideInfoAtom, StyleTextProp9Atom, StyleTextPropAtom, TextBytesAtom, TextCharsAtom, TextHeaderAtom, TextRulerAtom, TextSpecInfoAtom, TxInteractiveInfoAtom, TxMasterStyleAtom, UnknownRecordPlaceholder, VBAInfoAtom

      public abstract class RecordAtom
      extends Record

  Abstract class which all atom records will extend.
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordAtom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record[]` | `getChildRecords()` We're an atom, returns null
    `boolean` | `isAnAtom()` We are an atom

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, getRecordType, writeLittleEndian, writeLittleEndian, writeOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericProperties`

- - ### Constructor Detail

    - #### RecordAtom

          public RecordAtom()

  - ### Method Detail

    - #### isAnAtom

          public boolean isAnAtom()

      We are an atom
      Specified by:
        `isAnAtom` in class `Record`

    - #### getChildRecords

          public Record[] getChildRecords()

      We're an atom, returns null
      Specified by:
        `getChildRecords` in class `Record`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.